#include <iostream>
#include "Course.h"

using std::cout;
using std::endl;

int main()
{
    Course course1("CSCI 240", "Introduction to Programming");
    Course course2("CSCI 241", "Intermediate Programming");
    
    course1.read_student_data("students1.txt");
    course2.read_student_data("students2.txt");

    cout << "Unsorted class lists\n\n";
    course1.print();
    cout << endl;
    course2.print();

    cout << "\nClass lists sorted in ascending order by name\n\n";
    course1.sort_class_list(&name_less);
    course2.sort_class_list(&name_less);

    course1.print();
    cout << endl;
    course2.print();

    cout << "\nClass lists sorted in descending order by GPA\n\n";
    course1.sort_class_list(&gpa_greater);
    course2.sort_class_list(&gpa_greater);
    
    course1.print();
    cout << endl;
    course2.print();

    return 0;
}


